<?php
/*
| ----------------------------------------------------
| File        : phpimage.php
| Project     : Special Recent Posts plugin for Wordpress
| Version     : 1.2
| Description : This file contains the widget
|               main class.
| Author      : Luca Grandicelli
| Author URL  : http://www.lucagrandicelli.com
| Plugin URL  : #
| ----------------------------------------------------
*/

/*
| ---------------------------------------------
| INCLUDES
| ---------------------------------------------
*/
require_once './phpthumb/ThumbLib.inc.php';

// Check for image file.
$fileName = (isset($_GET['file'])) ? urldecode($_GET['file']) : null;

// Try & Catch block to handle PHP Thumb class initialization.
try {
	// Initialize PHP Thumb Class.
	$thumb = PhpThumbFactory::create($fileName);
}
catch (Exception $e) {
	// Handling errors.
	echo $e->getMessage();
}

/*
| ---------------------------------------------
| IMAGE PROCESS
| ---------------------------------------------
*/

// Check for display mode.
switch($_GET["display_mode"]) {
	case "adaptive":
		$thumb->adaptiveResize($_GET["width"], $_GET["height"]);
	break;
	
	case "crop":
		$thumb->cropfromcenter($_GET["width"], $_GET["height"]);
	break;
}

$thumb->show();